<?php
class Plugg_User_Admin_Queue extends Plugg_RoutingController
{
    function Plugg_User_Admin_Queue()
    {
        parent::__construct('List', 'Plugg_User_Admin_Queue_', dirname(__FILE__) . '/Queue');
    }

    function _doGetRoutes(Sabai_Application_Context $context)
    {
        $context->response->setCurrentTab('queue');
        return array(
            ':queue_id/send' => array(
                'controller' => 'Send',
                'requirements' => array(':queue_id' => '\d+')
            ),
            'submit' => array('controller' => 'Submit')
        );
    }
}